%global majorver 2

Name: libapogee
Version: 2.2
Release: 18%{?dist}
Summary: Library for Apogee CCD Cameras

License: GPLv2+
URL: http://indi.sourceforge.net/index.php

Source0: http://downloads.sourceforge.net/indi/%{name}%{majorver}_%{version}.tar.gz
Patch0: libapogee-suffix.patch
# Patch to build in ppc ppc64
#https://sourceforge.net/tracker2/?func=detail&aid=2215787&group_id=90275&atid=593019
Patch1: libapogee-sysio.patch
Patch2: libapogee-format-security.patch

# Bug upstream about libapogee calling exit()
# https://sourceforge.net/tracker2/?func=detail&aid=2595732&group_id=90275&atid=593019

# Since curl 7.21.7, curl/types.h has been removed
BuildRequires: cmake libusb-devel libcurl-devel

%description
Apogee library is used by applications to control Apogee CCDs.

%package devel
Summary: Libraries, includes, etc. used to develop an application with %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
These are the header files needed to develop a %{name} application

%prep
%setup -q -n %{name}%{majorver}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
# curl/types.h is deprecated
# upstream bug https://sourceforge.net/tracker/?func=detail&aid=3462419&group_id=90275&atid=593019
sed -i '/include.*[<"]curl\/types.h[">]/d' \
`egrep -rl 'include.*["<]curl/types.h[">]' .`

%build
%cmake
make VERBOSE=1 %{?_smp_mflags}

%install
rm -fr %{buildroot}
make install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license
%doc AUTHORS ChangeLog README
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Dec 25 2015 Christian Dersch <lupinix@fedoraproject.org>- 2.2-17
- Spec adjustments (use license tag, global instead of define)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.2-15
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 10 2014 Sergio Pascual <sergiopr at fedoraproject.org> - 2.2-12
- Adding the patch

* Tue Dec 03 2013 Sergio Pascual <sergiopr at fedoraproject.org> - 2.2-11
- Fix bz #1037156 (format-security)
- Spec cleanup

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 19 2011 Sergio Pascual <sergiopr at fedoraproject.org> - 2.2-6
- curl/types.h removed in latest curl
- Bug filled upstream
- Cleanup the specfile

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 13 2009 Sergio Pascual <sergiopr at fedoraproject.org> -  2.2-2
- Fixing license tag
- Patch to remove sys/io.h
- Bug filled upstream about calling exit()

* Sat Feb 07 2009 Sergio Pascual <sergiopr at fedoraproject.org> -  2.2-1
- Initial spec file

